<!-- canonical: https://docs.costplus.io/api-reference/orders/getOrder -->

> Retrieve the full details of an order including its transactions.

Use `?fields[]=amount_details` to include a financial breakdown (captured, capturable, refunded, refundable, voided, voidable amounts) — useful for partial capture and refund scenarios.

# Get a single order

Retrieve the full details of an order including its transactions.

Use `?fields[]=amount_details` to include a financial breakdown (captured, capturable, refunded, refundable, voided, voidable amounts) — useful for partial capture and refund scenarios.

## Endpoint

```
GET /orders/{id}
```

## Authentication

HTTP Basic — use your API key as the username with an empty password.

```bash
curl -u YOUR_API_KEY: https://api.costplus.online/v1/orders/{id}/
```

## Parameters

| In | Name | Type | Required | Description |
|---|---|---|---|---|
| path | `id` | string | yes | Order identifier |
| query | `fields[]` | string | no | Request extra fields: `amount_details` (financial breakdown) or `order_line_details` (per-line capture/refund status) |

## Responses

### 200 — The order

```json
{
  "id": "4851e31c-4137-4e91-95ef-1df945ee76a2",
  "merchant_order_id": "my-order-id-1",
  "status": "completed",
  "currency": "EUR",
  "amount": 1295,
  "description": "My amazing order",
  "created": "2026-01-15T12:00:05.433502+00:00",
  "modified": "2026-01-15T12:02:30.123456+00:00",
  "completed": "2026-01-15T12:02:30.123456+00:00",
  "expiration_period": "PT1H",
  "return_url": "https://www.example.com",
  "webhook_url": "https://www.example.com/webhook",
  "transactions": [
    {
      "id": "d291f03f-a406-428a-967a-4895a46e03fd",
      "payment_method": "credit-card",
      "status": "completed",
      "amount": 1295,
      "currency": "EUR",
      "channel": "ecom",
      "credit_debit": "credit",
      "is_capturable": false,
      "payment_method_details": {
        "truncated_pan": "1111",
        "card_expiry": "122028"
      }
    }
  ]
}
```

### 401 — Invalid or missing API key

### 403 — No authorization for the requested resource

## cURL

```bash
curl -u YOUR_API_KEY: \
  'https://api.costplus.online/v1/orders/4851e31c-4137-4e91-95ef-1df945ee76a2/?fields[]=amount_details'
```
